/**
 * JS Document.
 * @author Sandro Jordão.
 */
function alterarBD()
{
	var codigo 		= $("#codigo").val();
	var tipoconexao = $("#tipoconexao").val();
	
	$('.msgErro').remove();

	var erro = 0;
	
	if(tipoconexao == '')
	{
		$('#tipoconexao').after("<span class='msgErro'>Campo de preenchimento obrigat&oacute;rio.</span>");
		erro++;
	}
	
	if (erro == 0)
	{
		$.post(basepath + "scripts/alterarTipoConexaoBD", {
			codigo : codigo,
			tipoconexao : tipoconexao
		}, function(data){
			if(data == 1)
			{
				jAlert('Alterado com sucesso!', 'Alerta!', function() { window.location.href = basepath + 'scripts/listatipoconexoes'; });
			}
			else 
			{
				jAlert('Ocorreu um erro:\n ' + data, 'Alerta de Erro!');
			}
		});
	}
	else
	{
		jAlert('Favor preencher todos os campos corretamente.', 'Alerta!');
	}
}

function gravar ()
{
	var tipoconexao = $("#tipoconexao").val();

	$('.msgErro').remove();

	var erro = 0;
	
	if(tipoconexao == '')
	{
		$('#tipoconexao').after("<span class='msgErro'>Campo de preenchimento obrigat&oacute;rio.</span>");
		erro++;
	}
	
	if (erro == 0)
	{
		$.post(basepath + "scripts/gravaTipoConexao", {
			tipoconexao : tipoconexao
		}, function(data){
			if(data == 1)
			{
				jAlert('Gravado com sucesso!', 'Alerta!', function() { window.location.href = basepath + 'scripts/listatipoconexoes'; });
			}
			else 
			{
				jAlert('Ocorreu um erro:\n ' + data, 'Alerta de Erro!');
			}
		});
	}
	else
	{
		jAlert('Favor preencher todos os campos corretamente.', 'Alerta!');
	}
}

function incluir()
{
    window.location.href = basepath + 'scripts/cadtipoconexao';
}

function alterar()
{
    var conexao = $('#gridTipoConexoes').jqGrid('getGridParam','selrow');

    if(conexao) 
	{
        window.location.href = basepath + 'scripts/alterartipoconexao/' + conexao;
    } 
	else 
	{
        jAlert('Selecionar um Tipo de Conexão para alteração!', 'Alerta!', function() { return false; });
    }
}

function voltar()
{
	window.location.href = basepath + 'scripts/listatipoconexoes';
}

function excluir()
{
	var conexao = $('#gridTipoConexoes').jqGrid('getGridParam','selrow');

    if(conexao)
	{
		jConfirm("Deseja realmente excluir o tipo de conexão?", 'Confirmação!',
			function(r) {
				if (r == true)
				{
					$.post(basepath + "scripts/excluirTipoConexao", {
						conexao  : conexao
					}, function(data){
						if(data == 1)
						{
							$("#gridTipoConexoes").trigger("reloadGrid");
							
							jAlert('Tipo de Conexão excluído com sucesso!', 'Alerta!');
						}
						else jAlert('Ocorreu um erro:\n ' + data, 'Alerta de erro!');
					});
				}
				else
				{
					return false;
				}
			});
	}
    else
	{
		jAlert('Selecionar um Tipo de conexão para exclusão!', 'Alerta!', function() { return false; });
	}
}

function init()
{
	var pathConexao = basepath + "scripts/listatipoconexoes";
	$('#menuContentLeft a').each(function() { if(pathConexao == $(this).attr("href")) { $(this).css({'color' : '#4084b8', 'font-weight' : 'bold', 'font-style' : 'italic'}); } });
}

$(document).ready(init);